<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="customer">
            <h2><span jhiTranslate="restaurantApplicationApp.customer.detail.title">Customer</span> {{customer.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="restaurantApplicationApp.customer.firstName">First Name</span></dt>
                <dd>
                    <span>{{customer.firstName}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.lastName">Last Name</span></dt>
                <dd>
                    <span>{{customer.lastName}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.gender">Gender</span></dt>
                <dd>
                    <span jhiTranslate="{{'restaurantApplicationApp.Gender.' + customer.gender}}">{{customer.gender}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.email">Email</span></dt>
                <dd>
                    <span>{{customer.email}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.phone">Phone</span></dt>
                <dd>
                    <span>{{customer.phone}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.addressLine1">Address Line 1</span></dt>
                <dd>
                    <span>{{customer.addressLine1}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.addressLine2">Address Line 2</span></dt>
                <dd>
                    <span>{{customer.addressLine2}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.city">City</span></dt>
                <dd>
                    <span>{{customer.city}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.country">Country</span></dt>
                <dd>
                    <span>{{customer.country}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.customer.user">User</span></dt>
                <dd>
                    {{customer.user?.login}}
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/customer', customer.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
